(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 10.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[     12207,        288]
NotebookOptionsPosition[     12573,        276]
NotebookOutlinePosition[     13139,        300]
CellTagsIndexPosition[     13096,        297]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\:6771\:5927\:7406\:7cfb\:ff12\:ff10\:ff11\:ff13\:7b2c\:ff16\:554f\:ff08\
\:ff11\:ff09", "Section", "PluginEmbeddedContent",
 Background->RGBColor[1, 0.9, 0.8]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`CC$$ = 
    1, $CellContext`t$$ = -0.4, $CellContext`\[Theta]1$$ = 
    6.283185307179586, $CellContext`\[Theta]2$$ = 0, $CellContext`$26$$ = 
    1, $CellContext`$27$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", Typeset`specs$$ = {{
      Hold[$CellContext`\[Theta]1$$], 0, 2 Pi}, {
      Hold[$CellContext`\[Theta]2$$], 0, 2 Pi}, {{
       Hold[$CellContext`t$$], -0.9999}, {-0.9999, -0.8, -0.6, -0.4, -0.2, 0, 
       0.2, 0.4, 0.6, 0.8, 0.9999}}, {{
       Hold[$CellContext`$26$$], 0, 
       RawBoxes[
        SubscriptBox["V", "1"]]}, {0, 1}}, {{
       Hold[$CellContext`$27$$], 0, 
       RawBoxes[
        SubscriptBox["V", "2"]]}, {0, 1}}, {{
       Hold[$CellContext`CC$$], 0}, {0, 1}}}, Typeset`size$$ = {
    576., {317., 321.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`\[Theta]1$37908$$ = 
    0, $CellContext`\[Theta]2$37909$$ = 0, $CellContext`t$37910$$ = 
    0, $CellContext`$26$37911$$ = False, $CellContext`$27$37912$$ = 
    False, $CellContext`CC$37913$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`CC$$ = 
        0, $CellContext`t$$ = -0.9999, $CellContext`\[Theta]1$$ = 
        0, $CellContext`\[Theta]2$$ = 0, $CellContext`$26$$ = 
        0, $CellContext`$27$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`\[Theta]1$$, $CellContext`\[Theta]1$37908$$, 0], 
        Hold[$CellContext`\[Theta]2$$, $CellContext`\[Theta]2$37909$$, 0], 
        Hold[$CellContext`t$$, $CellContext`t$37910$$, 0], 
        Hold[$CellContext`$26$$, $CellContext`$26$37911$$, False], 
        Hold[$CellContext`$27$$, $CellContext`$27$37912$$, False], 
        Hold[$CellContext`CC$$, $CellContext`CC$37913$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Graphics3D[{Arrowheads -> Large, 
          Thickness[0.009], {Blue, 
           Arrow[{{0, 0, -5}, {0, 0, 2}}], 
           Arrow[{{0, -5, 0}, {0, 2, 0}}], 
           Arrow[{{-5, 0, 0}, {2, 0, 0}}]}, 
          Text[
           Style["x", Large], {2, 0, 0} 1.05], 
          Text[
           Style["y", Large], {0, 2, 0} 1.05], 
          Text[
           Style["z", Large], {0, 0, 2} 1.05], 
          Text[
           Style["O", Large], {0.1, 0.1, 0.1}], 
          Text[
           Style["A", Large], {-1, 1, 0} 1.1], 
          Text[
           Style["B", Large], {1, 1, 0} 1.1], 
          Text[
           Style["C", Large], {1, -1, 0} 1.1], 
          Text[
           Style["D", Large], {-1, -1, 0} 1.1], Null}], 
        Graphics[
         ParametricPlot3D[
          Dot[{{
             Cos[Pi/4], -Sin[Pi/4], 0}, {
             Sin[Pi/4], 
             Cos[Pi/4], 0}, {0, 0, 1}}, {{
             Cos[$CellContext`\[Theta]], 0, -Sin[$CellContext`\[Theta]]}, {0, 
            1, 0}, {
             Sin[$CellContext`\[Theta]], 0, 
             Cos[$CellContext`\[Theta]]}}, {$CellContext`t$$, 
            2^Rational[1, 2] - $CellContext`t$$, 
            0}], {$CellContext`\[Theta], -0.01, $CellContext`\[Theta]2$$}, \
{$CellContext`t$$, 0, 2^Rational[1, 2]}, PlotStyle -> {Green, 
            Opacity[0.3 $CellContext`$27$$]}, Mesh -> None]], 
        Graphics[
         ParametricPlot3D[
          Dot[{{
             Cos[Pi/4], -Sin[Pi/4], 0}, {
             Sin[Pi/4], 
             Cos[Pi/4], 0}, {0, 0, 1}}, {{
             Cos[$CellContext`\[Theta]], 0, -Sin[$CellContext`\[Theta]]}, {0, 
            1, 0}, {
             Sin[$CellContext`\[Theta]], 0, 
             
             Cos[$CellContext`\[Theta]]}}, {$CellContext`t$$, -2^
              Rational[1, 2] + $CellContext`t$$, 
            0}], {$CellContext`\[Theta], -0.01, $CellContext`\[Theta]2$$}, \
{$CellContext`t$$, 0, 2^Rational[1, 2]}, PlotStyle -> {Green, 
            Opacity[0.3 $CellContext`$27$$]}, Mesh -> None]], 
        Graphics3D[{
          Opacity[0.3 $CellContext`$27$$], 
          Polygon[{
            Dot[{{
               Cos[Pi/4], -Sin[Pi/4], 0}, {
               Sin[Pi/4], 
               Cos[Pi/4], 0}, {0, 0, 1}}, {{
               Cos[$CellContext`\[Theta]2$$], 0, -
               Sin[$CellContext`\[Theta]2$$]}, {0, 1, 0}, {
               Sin[$CellContext`\[Theta]2$$], 0, 
               Cos[$CellContext`\[Theta]2$$]}}, {2^Rational[1, 2], 0, 0}], 
            Dot[{{
               Cos[Pi/4], -Sin[Pi/4], 0}, {
               Sin[Pi/4], 
               Cos[Pi/4], 0}, {0, 0, 1}}, {{
               Cos[$CellContext`\[Theta]2$$], 0, -
               Sin[$CellContext`\[Theta]2$$]}, {0, 1, 0}, {
               Sin[$CellContext`\[Theta]2$$], 0, 
               Cos[$CellContext`\[Theta]2$$]}}, {0, 2^Rational[1, 2], 0}], 
            Dot[{{
               Cos[Pi/4], -Sin[Pi/4], 0}, {
               Sin[Pi/4], 
               Cos[Pi/4], 0}, {0, 0, 1}}, {{
               Cos[$CellContext`\[Theta]2$$], 0, -
               Sin[$CellContext`\[Theta]2$$]}, {0, 1, 0}, {
               Sin[$CellContext`\[Theta]2$$], 0, 
               Cos[$CellContext`\[Theta]2$$]}}, {-2^Rational[1, 2], 0, 0}], 
            Dot[{{
               Cos[Pi/4], -Sin[Pi/4], 0}, {
               Sin[Pi/4], 
               Cos[Pi/4], 0}, {0, 0, 1}}, {{
               Cos[$CellContext`\[Theta]2$$], 0, -
               Sin[$CellContext`\[Theta]2$$]}, {0, 1, 0}, {
               Sin[$CellContext`\[Theta]2$$], 0, 
               Cos[$CellContext`\[Theta]2$$]}}, {
             0, -2^Rational[1, 2], 0}]}]}], 
        ParametricPlot3D[{$CellContext`t$$, $CellContext`y, $CellContext`z}, \
{$CellContext`y, -5, 5}, {$CellContext`z, -5, 5}, PlotStyle -> {Green, 
           Opacity[0.3 $CellContext`$27$$]}, Mesh -> None], 
        Graphics[
         ParametricPlot3D[
          Dot[{{
             Cos[Pi/4], 
             Sin[Pi/4], 0}, {-Sin[Pi/4], 
             Cos[Pi/4], 0}, {0, 0, 1}}, {{
             Cos[$CellContext`\[Theta]], 0, -Sin[$CellContext`\[Theta]]}, {0, 
            1, 0}, {
             Sin[$CellContext`\[Theta]], 0, 
             Cos[$CellContext`\[Theta]]}}, {$CellContext`t$$, 
            2^Rational[1, 2] - $CellContext`t$$, 
            0}], {$CellContext`\[Theta], -0.01, $CellContext`\[Theta]1$$}, \
{$CellContext`t$$, 0, 2^Rational[1, 2]}, PlotStyle -> {Yellow, 
            Opacity[0.3 $CellContext`$26$$]}, Mesh -> None]], 
        Graphics[
         ParametricPlot3D[
          Dot[{{
             Cos[Pi/4], 
             Sin[Pi/4], 0}, {-Sin[Pi/4], 
             Cos[Pi/4], 0}, {0, 0, 1}}, {{
             Cos[$CellContext`\[Theta]], 0, -Sin[$CellContext`\[Theta]]}, {0, 
            1, 0}, {
             Sin[$CellContext`\[Theta]], 0, 
             
             Cos[$CellContext`\[Theta]]}}, {$CellContext`t$$, -2^
              Rational[1, 2] + $CellContext`t$$, 
            0}], {$CellContext`\[Theta], -0.01, $CellContext`\[Theta]1$$}, \
{$CellContext`t$$, 0, 2^Rational[1, 2]}, PlotStyle -> {Yellow, 
            Opacity[0.3 $CellContext`$26$$]}, Mesh -> None]], 
        Graphics3D[{
          Opacity[0.3], 
          Polygon[{
            Dot[{{
               Cos[Pi/4], 
               Sin[Pi/4], 0}, {-Sin[Pi/4], 
               Cos[Pi/4], 0}, {0, 0, 1}}, {{
               Cos[$CellContext`\[Theta]1$$], 0, -
               Sin[$CellContext`\[Theta]1$$]}, {0, 1, 0}, {
               Sin[$CellContext`\[Theta]1$$], 0, 
               Cos[$CellContext`\[Theta]1$$]}}, {2^Rational[1, 2], 0, 0}], 
            Dot[{{
               Cos[Pi/4], 
               Sin[Pi/4], 0}, {-Sin[Pi/4], 
               Cos[Pi/4], 0}, {0, 0, 1}}, {{
               Cos[$CellContext`\[Theta]1$$], 0, -
               Sin[$CellContext`\[Theta]1$$]}, {0, 1, 0}, {
               Sin[$CellContext`\[Theta]1$$], 0, 
               Cos[$CellContext`\[Theta]1$$]}}, {0, 2^Rational[1, 2], 0}], 
            Dot[{{
               Cos[Pi/4], 
               Sin[Pi/4], 0}, {-Sin[Pi/4], 
               Cos[Pi/4], 0}, {0, 0, 1}}, {{
               Cos[$CellContext`\[Theta]1$$], 0, -
               Sin[$CellContext`\[Theta]1$$]}, {0, 1, 0}, {
               Sin[$CellContext`\[Theta]1$$], 0, 
               Cos[$CellContext`\[Theta]1$$]}}, {-2^Rational[1, 2], 0, 0}], 
            Dot[{{
               Cos[Pi/4], 
               Sin[Pi/4], 0}, {-Sin[Pi/4], 
               Cos[Pi/4], 0}, {0, 0, 1}}, {{
               Cos[$CellContext`\[Theta]1$$], 0, -
               Sin[$CellContext`\[Theta]1$$]}, {0, 1, 0}, {
               Sin[$CellContext`\[Theta]1$$], 0, 
               Cos[$CellContext`\[Theta]1$$]}}, {
             0, -2^Rational[1, 2], 0}]}]}], 
        ParametricPlot3D[{$CellContext`t$$, $CellContext`y, $CellContext`z}, \
{$CellContext`y, -5, 5}, {$CellContext`z, -5, 5}, PlotStyle -> {Green, 
           Opacity[$CellContext`CC$$ 0.3]}, Mesh -> None], 
        Graphics[
         ParametricPlot3D[{{$CellContext`t$$, -$CellContext`z^2/(
             2 (1 - $CellContext`t$$)) + 
            1, $CellContext`z}}, {$CellContext`z, -(2 - 2 $CellContext`t$$^2)^
            Rational[1, 2], (2 - 2 $CellContext`t$$^2)^Rational[1, 2]}, 
          PlotStyle -> {Red, 
            Thickness[0.009]}]], 
        Graphics[
         ParametricPlot3D[{{$CellContext`t$$, $CellContext`z^2/(
             2 (1 + $CellContext`t$$)) - 
            1, $CellContext`z}}, {$CellContext`z, -(2 - 2 $CellContext`t$$^2)^
            Rational[1, 2], (2 - 2 $CellContext`t$$^2)^Rational[1, 2]}, 
          PlotStyle -> Thickness[0.009]]], 
        PlotRange -> {{-2, 2}, {-2, 2}, {-2, 2}}, BoxRatios -> Automatic, 
        Boxed -> False, Axes -> False, ImageSize -> Large], 
      "Specifications" :> {{$CellContext`\[Theta]1$$, 0, 2 
         Pi}, {$CellContext`\[Theta]2$$, 0, 2 
         Pi}, {{$CellContext`t$$, -0.9999}, {-0.9999, -0.8, -0.6, -0.4, -0.2, 
          0, 0.2, 0.4, 0.6, 0.8, 0.9999}}, {{$CellContext`$26$$, 0, 
          RawBoxes[
           SubscriptBox["V", "1"]]}, {0, 1}}, {{$CellContext`$27$$, 0, 
          RawBoxes[
           SubscriptBox["V", "2"]]}, {0, 1}}, {{$CellContext`CC$$, 0}, {0, 
         1}}}, "Options" :> {FrameMargins -> 0, ControlPlacement -> Left}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{843., {337., 344.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output", "PluginEmbeddedContent"]
}, Open  ]]
},
WindowSize->{897, 742},
WindowMargins->{{226, Automatic}, {Automatic, 0}},
Visible->True,
AuthoredSize->{898, 742},
ScrollingOptions->{"HorizontalScrollRange"->Fit,
"VerticalScrollRange"->Fit},
ShowCellBracket->False,
Deployed->True,
CellContext->Notebook,
TrackCellChangeTimes->False,
FrontEndVersion->"10.0 for Microsoft Windows (32-bit) (2014\:5e747\:67089\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1486, 35, 166, 2, 48, "Section"],
Cell[1655, 39, 10902, 234, 683, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature 4wpdslFb6ml3LC140i3tTRrN *)
